
DROP VIEW VIEWEMPRESAS; 

CREATE VIEW VIEWEMPRESAS ( EMPRESA, NOME, NOMEABREV, TIPOEMPRESA, CODIGOEMPRESA ) AS
SELECT SUBSTRING(GRLATABS.ATABS_DESC_ABREV,7,2),
       AEMPR_RAZAO_SOCIAL,  
       AEMPR_NOME_ABREV,  
       AEMPR_TIPO,
       AEMPR_CODIGO
FROM GRLATABS, SUPAEMPR
WHERE GRLATABS.ATABS_TABELA           = 'PDRA' AND          
      GRLATABS.ATABS_CODIGO_ALFA      = 'PARAM-SIS      ' AND
      SUBSTRING(ATABS_DESC_ABREV,1,1) = AEMPR_TIPO AND 
      SUBSTRING(ATABS_DESC_ABREV,2,5) = AEMPR_CODIGO;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'EMPRESAS' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWEMPRESAS';