
CREATE VIEW VIEWPVREPRECLI ( EMPRESA, TIPOEMPRESA, CODIGOEMPRESA, RAZAOSOCIAL, TIPOREPRESENTANTE, REPRESENTANTE, DATACAD, PEDIDO, PERC_DESC, COD_ITEM, STATUS, DATAPREV, QTDPEDIDA, QTDENTREGUE, SALDOQTD, VALORPEDBRT, VALORPEDLIQ, VALORENTBRT, VALORENTLIQ, VALORSALBRT, VALORSALLIQ, UNITARIO, DESCONTO) AS
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       VNDAPECD.APECD_TIPO_REPRE,
       VNDAPECD.APECD_REPRE,
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPECD.APECD_DESCONTO,
       VNDAPEIT.APEIT_COD_ITEM, 
       'A', 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM(VNDAPEPC.APEPC_VALOR_ENC),
       SUM(VNDAPEPC.APEPC_VLR_DESCONTO)
 FROM VNDAPEPC, VNDAPEIT, VNDAPECD, SUPAEMPR 
 WHERE VNDAPECD.APECD_EMPRESA   = VNDAPEIT.APEIT_EMPRESA
  AND  VNDAPECD.APECD_UNIDADE   = VNDAPEIT.APEIT_UNIDADE 
  AND  VNDAPECD.APECD_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  
  AND  VNDAPEPC.APEPC_EMPRESA   = VNDAPEIT.APEIT_EMPRESA 
  AND  VNDAPEPC.APEPC_UNIDADE   = VNDAPEIT.APEIT_UNIDADE
  AND  VNDAPEPC.APEPC_PEDIDO    = VNDAPEIT.APEIT_PEDIDO
  AND  VNDAPEPC.APEPC_LINHA     = VNDAPEIT.APEIT_LINHA 
  AND  VNDAPEPC.APEPC_STATUS <> 'C'        
  AND  VNDAPEPC.APEPC_STATUS <> 'E'    
  AND  VNDAPEPC.APEPC_STATUS <> 'S'  
  AND  SUPAEMPR.AEMPR_TIPO    = VNDAPECD.APECD_TIPO_CLI
  AND  SUPAEMPR.AEMPR_CODIGO  = VNDAPECD.APECD_CLIENTE
  AND ((VNDAPEPC.APEPC_LOC_ENTREGA = '00'
   AND EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAEMPR.AEMPR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'))
   OR (VNDAPEPC.APEPC_LOC_ENTREGA <> '00' 
        AND  EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF, SUPAENDR 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAENDR.AENDR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'
        AND  SUPAENDR.AENDR_TIPO_EMPR = VNDAPECD.APECD_TIPO_CLI
        AND  SUPAENDR.AENDR_CODIGO    = VNDAPECD.APECD_CLIENTE
        AND  SUPAENDR.AENDR_NUM_ENDER = VNDAPEPC.APEPC_LOC_ENTREGA)))
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_TIPO_CLI,
             VNDAPECD.APECD_CLIENTE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             VNDAPECD.APECD_TIPO_REPRE,
             VNDAPECD.APECD_REPRE,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPECD.APECD_DESCONTO,
             VNDAPEIT.APEIT_COD_ITEM, 
             VNDAPEPC.APEPC_DATA_PREV
    UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       VNDAPECD.APECD_TIPO_REPRE,
       VNDAPECD.APECD_REPRE,
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPECD.APECD_DESCONTO,
       VNDAPEIT.APEIT_COD_ITEM, 
       'E', 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM(VNDAPEPC.APEPC_VALOR_ENC),
       SUM(VNDAPEPC.APEPC_VLR_DESCONTO)
 FROM VNDAPEPC, VNDAPEIT, VNDAPECD, SUPAEMPR 
 WHERE VNDAPECD.APECD_EMPRESA   = VNDAPEIT.APEIT_EMPRESA
  AND  VNDAPECD.APECD_UNIDADE   = VNDAPEIT.APEIT_UNIDADE 
  AND  VNDAPECD.APECD_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  
  AND  VNDAPEPC.APEPC_EMPRESA   = VNDAPEIT.APEIT_EMPRESA 
  AND  VNDAPEPC.APEPC_UNIDADE   = VNDAPEIT.APEIT_UNIDADE
  AND  VNDAPEPC.APEPC_PEDIDO    = VNDAPEIT.APEIT_PEDIDO
  AND  VNDAPEPC.APEPC_LINHA     = VNDAPEIT.APEIT_LINHA 
  AND  VNDAPEPC.APEPC_STATUS  = 'E'
  AND  SUPAEMPR.AEMPR_TIPO    = VNDAPECD.APECD_TIPO_CLI
  AND  SUPAEMPR.AEMPR_CODIGO  = VNDAPECD.APECD_CLIENTE
  AND ((VNDAPEPC.APEPC_LOC_ENTREGA = '00'
   AND EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAEMPR.AEMPR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'))
   OR (VNDAPEPC.APEPC_LOC_ENTREGA <> '00' 
        AND  EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF, SUPAENDR 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAENDR.AENDR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'
        AND  SUPAENDR.AENDR_TIPO_EMPR = VNDAPECD.APECD_TIPO_CLI
        AND  SUPAENDR.AENDR_CODIGO    = VNDAPECD.APECD_CLIENTE
        AND  SUPAENDR.AENDR_NUM_ENDER = VNDAPEPC.APEPC_LOC_ENTREGA)))
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_TIPO_CLI,
             VNDAPECD.APECD_CLIENTE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             VNDAPECD.APECD_TIPO_REPRE,
             VNDAPECD.APECD_REPRE,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPECD.APECD_DESCONTO,
             VNDAPEIT.APEIT_COD_ITEM, 
             VNDAPEPC.APEPC_DATA_PREV
    UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       VNDAPECD.APECD_TIPO_REPRE,
       VNDAPECD.APECD_REPRE,
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPECD.APECD_DESCONTO,
       VNDAPEIT.APEIT_COD_ITEM, 
       'T', 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM(VNDAPEPC.APEPC_VALOR_ENC),
       SUM(VNDAPEPC.APEPC_VLR_DESCONTO)
 FROM VNDAPEPC, VNDAPEIT, VNDAPECD, SUPAEMPR 
 WHERE VNDAPECD.APECD_EMPRESA   = VNDAPEIT.APEIT_EMPRESA
  AND  VNDAPECD.APECD_UNIDADE   = VNDAPEIT.APEIT_UNIDADE 
  AND  VNDAPECD.APECD_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  
  AND  VNDAPEPC.APEPC_EMPRESA   = VNDAPEIT.APEIT_EMPRESA 
  AND  VNDAPEPC.APEPC_UNIDADE   = VNDAPEIT.APEIT_UNIDADE
  AND  VNDAPEPC.APEPC_PEDIDO    = VNDAPEIT.APEIT_PEDIDO
  AND  VNDAPEPC.APEPC_LINHA     = VNDAPEIT.APEIT_LINHA 
  AND  VNDAPEPC.APEPC_STATUS <> 'C'  
  AND  VNDAPEPC.APEPC_STATUS <> 'S'       
  AND  SUPAEMPR.AEMPR_TIPO    = VNDAPECD.APECD_TIPO_CLI
  AND  SUPAEMPR.AEMPR_CODIGO  = VNDAPECD.APECD_CLIENTE
  AND ((VNDAPEPC.APEPC_LOC_ENTREGA = '00'
   AND EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAEMPR.AEMPR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'))
   OR (VNDAPEPC.APEPC_LOC_ENTREGA <> '00' 
        AND  EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF, SUPAENDR 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAENDR.AENDR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'
        AND  SUPAENDR.AENDR_TIPO_EMPR = VNDAPECD.APECD_TIPO_CLI
        AND  SUPAENDR.AENDR_CODIGO    = VNDAPECD.APECD_CLIENTE
        AND  SUPAENDR.AENDR_NUM_ENDER = VNDAPEPC.APEPC_LOC_ENTREGA)))
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_TIPO_CLI,
             VNDAPECD.APECD_CLIENTE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             VNDAPECD.APECD_TIPO_REPRE,
             VNDAPECD.APECD_REPRE,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPECD.APECD_DESCONTO,
             VNDAPEIT.APEIT_COD_ITEM, 
             VNDAPEPC.APEPC_DATA_PREV
    UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       VNDAPECD.APECD_TIPO_REPRE,
       VNDAPECD.APECD_REPRE,
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPECD.APECD_DESCONTO,
       VNDAPEIT.APEIT_COD_ITEM, 
       'C', 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM(VNDAPEPC.APEPC_VALOR_ENC),
       SUM(VNDAPEPC.APEPC_VLR_DESCONTO)
 FROM VNDAPEPC, VNDAPEIT, VNDAPECD, SUPAEMPR 
 WHERE VNDAPECD.APECD_EMPRESA   = VNDAPEIT.APEIT_EMPRESA
  AND  VNDAPECD.APECD_UNIDADE   = VNDAPEIT.APEIT_UNIDADE 
  AND  VNDAPECD.APECD_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  
  AND  VNDAPEPC.APEPC_EMPRESA   = VNDAPEIT.APEIT_EMPRESA 
  AND  VNDAPEPC.APEPC_UNIDADE   = VNDAPEIT.APEIT_UNIDADE
  AND  VNDAPEPC.APEPC_PEDIDO    = VNDAPEIT.APEIT_PEDIDO
  AND  VNDAPEPC.APEPC_LINHA     = VNDAPEIT.APEIT_LINHA 
  AND  VNDAPEPC.APEPC_STATUS  = 'C'   
  AND  SUPAEMPR.AEMPR_TIPO    = VNDAPECD.APECD_TIPO_CLI
  AND  SUPAEMPR.AEMPR_CODIGO  = VNDAPECD.APECD_CLIENTE
  AND ((VNDAPEPC.APEPC_LOC_ENTREGA = '00'
   AND EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAEMPR.AEMPR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'))
   OR (VNDAPEPC.APEPC_LOC_ENTREGA <> '00' 
        AND  EXISTS (SELECT 1 FROM GRLATPVE, GRLADETI, GRLATINF, SUPAENDR 
       WHERE GRLADETI.ADETI_EMPRESA   = VNDAPECD.APECD_EMPRESA
        AND  GRLADETI.ADETI_UNIDADE   = VNDAPECD.APECD_UNIDADE
        AND  GRLADETI.ADETI_COD_VENDA = VNDAPEPC.APEPC_DESTINO
        AND  GRLADETI.ADETI_UF        = SUPAENDR.AENDR_ESTADO
        AND  GRLATPVE.ATPVE_CODIGO    = GRLADETI.ADETI_COD_VENDA 
        AND  GRLADETI.ADETI_EMPRESA   = GRLATINF.ATINF_EMPRESA 
        AND  GRLADETI.ADETI_UNIDADE   = GRLATINF.ATINF_UNIDADE
        AND  GRLADETI.ADETI_TIPO_NOTA = GRLATINF.ATINF_TIPO_NOTA 
        AND  GRLATINF.ATINF_DUPLICATA ='S'
        AND  SUPAENDR.AENDR_TIPO_EMPR = VNDAPECD.APECD_TIPO_CLI
        AND  SUPAENDR.AENDR_CODIGO    = VNDAPECD.APECD_CLIENTE
        AND  SUPAENDR.AENDR_NUM_ENDER = VNDAPEPC.APEPC_LOC_ENTREGA)))
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_TIPO_CLI,
             VNDAPECD.APECD_CLIENTE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             VNDAPECD.APECD_TIPO_REPRE,
             VNDAPECD.APECD_REPRE,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPECD.APECD_DESCONTO,
             VNDAPEIT.APEIT_COD_ITEM, 
             VNDAPEPC.APEPC_DATA_PREV;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'PREVISAO DE VENDAS POR REPRESENTANTE/CLIENTE STATUS DO PEDIDO DATA CADASTRO/PREVISTA' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWPVREPRECLI';
